
_interrupt:

;3 Phase SPWM.c,19 :: 		void interrupt(){
;3 Phase SPWM.c,20 :: 		if (TMR2IF_bit == 1) {
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L_interrupt0
;3 Phase SPWM.c,22 :: 		TBL_POINTER_NEW[0] = TBL_POINTER_OLD[0] + SET_FREQ;
	MOVF       _SET_FREQ+0, 0
	ADDWF      _TBL_POINTER_OLD+0, 0
	MOVWF      R1
	MOVF       _SET_FREQ+1, 0
	ADDWFC     _TBL_POINTER_OLD+1, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_NEW+0
	MOVF       R2, 0
	MOVWF      _TBL_POINTER_NEW+1
;3 Phase SPWM.c,23 :: 		if (TBL_POINTER_NEW[0] < TBL_POINTER_OLD[0]){
	MOVF       _TBL_POINTER_OLD+1, 0
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt12
	MOVF       _TBL_POINTER_OLD+0, 0
	SUBWF      R1, 0
L__interrupt12:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt1
;3 Phase SPWM.c,24 :: 		CCP1CON.P1M1 = ~CCP1CON.P1M1; //Reverse direction of full-bridge
	MOVLW      128
	XORWF      CCP1CON+0, 1
;3 Phase SPWM.c,25 :: 		}
L_interrupt1:
;3 Phase SPWM.c,26 :: 		TBL_POINTER_SHIFT[0] = TBL_POINTER_NEW[0] >> 11;
	MOVLW      11
	MOVWF      R2
	MOVF       _TBL_POINTER_NEW+0, 0
	MOVWF      R0
	MOVF       _TBL_POINTER_NEW+1, 0
	MOVWF      R1
	MOVF       R2, 0
L__interrupt13:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt14
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L__interrupt13
L__interrupt14:
	MOVF       R0, 0
	MOVWF      _TBL_POINTER_SHIFT+0
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_SHIFT+1
;3 Phase SPWM.c,27 :: 		DUTY_CYCLE[0] = TBL_POINTER_SHIFT[0];
	MOVF       R0, 0
	MOVWF      _DUTY_CYCLE+0
;3 Phase SPWM.c,28 :: 		CCPR1L = sin_table_A[DUTY_CYCLE[0]];
	MOVLW      _sin_table_A+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_sin_table_A+0)
	MOVWF      FSR0H
	MOVF       R0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      CCPR1L+0
;3 Phase SPWM.c,29 :: 		TBL_POINTER_OLD[0] = TBL_POINTER_NEW[0];
	MOVF       _TBL_POINTER_NEW+0, 0
	MOVWF      _TBL_POINTER_OLD+0
	MOVF       _TBL_POINTER_NEW+1, 0
	MOVWF      _TBL_POINTER_OLD+1
;3 Phase SPWM.c,31 :: 		TBL_POINTER_NEW[1] = TBL_POINTER_OLD[1] + SET_FREQ;
	MOVF       _SET_FREQ+0, 0
	ADDWF      _TBL_POINTER_OLD+2, 0
	MOVWF      R1
	MOVF       _SET_FREQ+1, 0
	ADDWFC     _TBL_POINTER_OLD+3, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_NEW+2
	MOVF       R2, 0
	MOVWF      _TBL_POINTER_NEW+3
;3 Phase SPWM.c,32 :: 		if (TBL_POINTER_NEW[1] < TBL_POINTER_OLD[1]){
	MOVF       _TBL_POINTER_OLD+3, 0
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt15
	MOVF       _TBL_POINTER_OLD+2, 0
	SUBWF      R1, 0
L__interrupt15:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt2
;3 Phase SPWM.c,33 :: 		CCP2CON.P2M1 = ~CCP2CON.P2M1; //Reverse direction of full-bridge
	MOVLW      128
	XORWF      CCP2CON+0, 1
;3 Phase SPWM.c,34 :: 		}
L_interrupt2:
;3 Phase SPWM.c,35 :: 		TBL_POINTER_SHIFT[1] = TBL_POINTER_NEW[1] >> 11;
	MOVLW      11
	MOVWF      R2
	MOVF       _TBL_POINTER_NEW+2, 0
	MOVWF      R0
	MOVF       _TBL_POINTER_NEW+3, 0
	MOVWF      R1
	MOVF       R2, 0
L__interrupt16:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt17
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L__interrupt16
L__interrupt17:
	MOVF       R0, 0
	MOVWF      _TBL_POINTER_SHIFT+2
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_SHIFT+3
;3 Phase SPWM.c,36 :: 		DUTY_CYCLE[1] = TBL_POINTER_SHIFT[1];
	MOVF       R0, 0
	MOVWF      _DUTY_CYCLE+1
;3 Phase SPWM.c,37 :: 		CCPR2L = sin_table_B[DUTY_CYCLE[1]];
	MOVLW      _sin_table_B+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_sin_table_B+0)
	MOVWF      FSR0H
	MOVF       R0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      CCPR2L+0
;3 Phase SPWM.c,38 :: 		TBL_POINTER_OLD[1] = TBL_POINTER_NEW[1];
	MOVF       _TBL_POINTER_NEW+2, 0
	MOVWF      _TBL_POINTER_OLD+2
	MOVF       _TBL_POINTER_NEW+3, 0
	MOVWF      _TBL_POINTER_OLD+3
;3 Phase SPWM.c,40 :: 		TBL_POINTER_NEW[2] = TBL_POINTER_OLD[2] + SET_FREQ;
	MOVF       _SET_FREQ+0, 0
	ADDWF      _TBL_POINTER_OLD+4, 0
	MOVWF      R1
	MOVF       _SET_FREQ+1, 0
	ADDWFC     _TBL_POINTER_OLD+5, 0
	MOVWF      R2
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_NEW+4
	MOVF       R2, 0
	MOVWF      _TBL_POINTER_NEW+5
;3 Phase SPWM.c,41 :: 		if (TBL_POINTER_NEW[2] < TBL_POINTER_OLD[2]){
	MOVF       _TBL_POINTER_OLD+5, 0
	SUBWF      R2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt18
	MOVF       _TBL_POINTER_OLD+4, 0
	SUBWF      R1, 0
L__interrupt18:
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt3
;3 Phase SPWM.c,42 :: 		CCP3CON.P3M1 = ~CCP3CON.P3M1; //Reverse direction of full-bridge
	MOVLW      128
	XORWF      CCP3CON+0, 1
;3 Phase SPWM.c,43 :: 		}
L_interrupt3:
;3 Phase SPWM.c,44 :: 		TBL_POINTER_SHIFT[2] = TBL_POINTER_NEW[2] >> 11;
	MOVLW      11
	MOVWF      R2
	MOVF       _TBL_POINTER_NEW+4, 0
	MOVWF      R0
	MOVF       _TBL_POINTER_NEW+5, 0
	MOVWF      R1
	MOVF       R2, 0
L__interrupt19:
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt20
	LSRF       R1, 1
	RRF        R0, 1
	ADDLW      255
	GOTO       L__interrupt19
L__interrupt20:
	MOVF       R0, 0
	MOVWF      _TBL_POINTER_SHIFT+4
	MOVF       R1, 0
	MOVWF      _TBL_POINTER_SHIFT+5
;3 Phase SPWM.c,45 :: 		DUTY_CYCLE[2] = TBL_POINTER_SHIFT[2];
	MOVF       R0, 0
	MOVWF      _DUTY_CYCLE+2
;3 Phase SPWM.c,46 :: 		CCPR3L = sin_table_C[DUTY_CYCLE[2]];
	MOVLW      _sin_table_C+0
	MOVWF      FSR0L
	MOVLW      hi_addr(_sin_table_C+0)
	MOVWF      FSR0H
	MOVF       R0, 0
	ADDWF      FSR0L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR0H, 1
	MOVF       INDF0+0, 0
	MOVWF      CCPR3L+0
;3 Phase SPWM.c,47 :: 		TBL_POINTER_OLD[2] = TBL_POINTER_NEW[2];
	MOVF       _TBL_POINTER_NEW+4, 0
	MOVWF      _TBL_POINTER_OLD+4
	MOVF       _TBL_POINTER_NEW+5, 0
	MOVWF      _TBL_POINTER_OLD+5
;3 Phase SPWM.c,49 :: 		TMR2IF_bit = 0;
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;3 Phase SPWM.c,50 :: 		}
L_interrupt0:
;3 Phase SPWM.c,51 :: 		}
L_end_interrupt:
L__interrupt11:
	RETFIE     %s
; end of _interrupt

_main:

;3 Phase SPWM.c,53 :: 		void main() {
;3 Phase SPWM.c,55 :: 		Delay_ms(200);
	MOVLW      5
	MOVWF      R11
	MOVLW      15
	MOVWF      R12
	MOVLW      241
	MOVWF      R13
L_main4:
	DECFSZ     R13, 1
	GOTO       L_main4
	DECFSZ     R12, 1
	GOTO       L_main4
	DECFSZ     R11, 1
	GOTO       L_main4
;3 Phase SPWM.c,57 :: 		APFCON = 0x00;
	CLRF       APFCON+0
;3 Phase SPWM.c,59 :: 		ADCON1 = 0b10100000;
	MOVLW      160
	MOVWF      ADCON1+0
;3 Phase SPWM.c,60 :: 		FVRCON = 0x00;
	CLRF       FVRCON+0
;3 Phase SPWM.c,62 :: 		ANSELA = 0x01;
	MOVLW      1
	MOVWF      ANSELA+0
;3 Phase SPWM.c,63 :: 		ANSELB = 0x00;
	CLRF       ANSELB+0
;3 Phase SPWM.c,65 :: 		CM1CON0 = 0x00;
	CLRF       CM1CON0+0
;3 Phase SPWM.c,66 :: 		CM2CON0 = 0x00;
	CLRF       CM2CON0+0
;3 Phase SPWM.c,68 :: 		TRISA = 0xC0;
	MOVLW      192
	MOVWF      TRISA+0
;3 Phase SPWM.c,69 :: 		PORTA = 0xC0;
	MOVLW      192
	MOVWF      PORTA+0
;3 Phase SPWM.c,70 :: 		PORTB = 0x00;
	CLRF       PORTB+0
;3 Phase SPWM.c,71 :: 		PORTC = 0x00;
	CLRF       PORTC+0
;3 Phase SPWM.c,73 :: 		LATA = 0x00;
	CLRF       LATA+0
;3 Phase SPWM.c,74 :: 		LATB = 0x00;
	CLRF       LATB+0
;3 Phase SPWM.c,75 :: 		LATC = 0x00;
	CLRF       LATC+0
;3 Phase SPWM.c,77 :: 		SET_FREQ = 410;
	MOVLW      154
	MOVWF      _SET_FREQ+0
	MOVLW      1
	MOVWF      _SET_FREQ+1
;3 Phase SPWM.c,79 :: 		for(i = 0; i < 3; i++) {
	CLRF       _i+0
L_main5:
	MOVLW      3
	SUBWF      _i+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main6
;3 Phase SPWM.c,80 :: 		TBL_POINTER_SHIFT[i] = 0;
	MOVF       _i+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _TBL_POINTER_SHIFT+0
	ADDWF      R0, 0
	MOVWF      FSR1L
	MOVLW      hi_addr(_TBL_POINTER_SHIFT+0)
	ADDWFC     R1, 0
	MOVWF      FSR1H
	CLRF       INDF1+0
	ADDFSR     1, 1
	CLRF       INDF1+0
;3 Phase SPWM.c,81 :: 		TBL_POINTER_NEW[i] = 0;
	MOVF       _i+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _TBL_POINTER_NEW+0
	ADDWF      R0, 0
	MOVWF      FSR1L
	MOVLW      hi_addr(_TBL_POINTER_NEW+0)
	ADDWFC     R1, 0
	MOVWF      FSR1H
	CLRF       INDF1+0
	ADDFSR     1, 1
	CLRF       INDF1+0
;3 Phase SPWM.c,82 :: 		TBL_POINTER_OLD[i] = 0;
	MOVF       _i+0, 0
	MOVWF      R0
	CLRF       R1
	LSLF       R0, 1
	RLF        R1, 1
	MOVLW      _TBL_POINTER_OLD+0
	ADDWF      R0, 0
	MOVWF      FSR1L
	MOVLW      hi_addr(_TBL_POINTER_OLD+0)
	ADDWFC     R1, 0
	MOVWF      FSR1H
	CLRF       INDF1+0
	ADDFSR     1, 1
	CLRF       INDF1+0
;3 Phase SPWM.c,83 :: 		DUTY_CYCLE[i] = 0;
	MOVLW      _DUTY_CYCLE+0
	MOVWF      FSR1L
	MOVLW      hi_addr(_DUTY_CYCLE+0)
	MOVWF      FSR1H
	MOVF       _i+0, 0
	ADDWF      FSR1L, 1
	BTFSC      STATUS+0, 0
	INCF       FSR1H, 1
	CLRF       INDF1+0
;3 Phase SPWM.c,79 :: 		for(i = 0; i < 3; i++) {
	INCF       _i+0, 1
;3 Phase SPWM.c,84 :: 		}
	GOTO       L_main5
L_main6:
;3 Phase SPWM.c,86 :: 		PR2 = 249;
	MOVLW      249
	MOVWF      PR2+0
;3 Phase SPWM.c,99 :: 		TMR2IF_bit = 0;
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
;3 Phase SPWM.c,100 :: 		T2CON = 4;
	MOVLW      4
	MOVWF      T2CON+0
;3 Phase SPWM.c,103 :: 		APFCON = 0x00;
	CLRF       APFCON+0
;3 Phase SPWM.c,104 :: 		CCPTMRS0=0X00;
	CLRF       CCPTMRS0+0
;3 Phase SPWM.c,106 :: 		CCP1CON=0X0C;
	MOVLW      12
	MOVWF      CCP1CON+0
;3 Phase SPWM.c,107 :: 		CCP2CON=0X0C;
	MOVLW      12
	MOVWF      CCP2CON+0
;3 Phase SPWM.c,108 :: 		CCP3CON=0X0C;
	MOVLW      12
	MOVWF      CCP3CON+0
;3 Phase SPWM.c,110 :: 		CCP1AS=0X0F;
	MOVLW      15
	MOVWF      CCP1AS+0
;3 Phase SPWM.c,111 :: 		CCP2AS=0X0F;
	MOVLW      15
	MOVWF      CCP2AS+0
;3 Phase SPWM.c,112 :: 		CCP3AS=0X0F;
	MOVLW      15
	MOVWF      CCP3AS+0
;3 Phase SPWM.c,114 :: 		PSTR1CON=0XFF;
	MOVLW      255
	MOVWF      PSTR1CON+0
;3 Phase SPWM.c,115 :: 		PSTR2CON=0XFF;
	MOVLW      255
	MOVWF      PSTR2CON+0
;3 Phase SPWM.c,116 :: 		PSTR3CON=0XFF;
	MOVLW      255
	MOVWF      PSTR3CON+0
;3 Phase SPWM.c,118 :: 		PWM1CON=0X00;
	CLRF       PWM1CON+0
;3 Phase SPWM.c,119 :: 		PWM2CON=0X00;
	CLRF       PWM2CON+0
;3 Phase SPWM.c,120 :: 		PWM3CON=0X00;
	CLRF       PWM3CON+0
;3 Phase SPWM.c,122 :: 		CM1CON0 = 7;
	MOVLW      7
	MOVWF      CM1CON0+0
;3 Phase SPWM.c,123 :: 		CM2CON0 = 7;
	MOVLW      7
	MOVWF      CM2CON0+0
;3 Phase SPWM.c,124 :: 		TRISB = 0x00;
	CLRF       TRISB+0
;3 Phase SPWM.c,125 :: 		TRISC = 0x00;
	CLRF       TRISC+0
;3 Phase SPWM.c,127 :: 		TMR2IE_bit = 1;
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;3 Phase SPWM.c,128 :: 		PEIE_bit = 1;
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;3 Phase SPWM.c,129 :: 		GIE_bit = 1;
	BSF        GIE_bit+0, BitPos(GIE_bit+0)
;3 Phase SPWM.c,131 :: 		while(1) {
L_main8:
;3 Phase SPWM.c,133 :: 		}
	GOTO       L_main8
;3 Phase SPWM.c,134 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
