#line 1 "C:/Users/user/Desktop/3SPWM/3 Phase SPWM/3 Phase SPWM.c"
char i = 0;
#line 7 "C:/Users/user/Desktop/3SPWM/3 Phase SPWM/3 Phase SPWM.c"
unsigned char sin_table_A[34] = {125,149,171,193,211,227,239,246,250,249,243,233,219,202,182,160,
 137,113,90,68,48,31,17,7,1,0,4,11,23,39,57,79,101};

unsigned char sin_table_B[34] = {21,10,2,0,2,10,21,37,56,77,101,125,125,149,173,194,213,229,240,
 248,250,248,240,229,213,194,173,149,125,101,77,56,37};

unsigned char sin_table_C[34] ={56,77,101,125,125,149,173,194,213,229,240,248,250,248,240,229,213,
 194,173,149,125,101,77,56,37,21,10,2,0,2,10,21};

unsigned int TBL_POINTER_NEW[3], TBL_POINTER_OLD[3], TBL_POINTER_SHIFT[3], SET_FREQ;
unsigned char DUTY_CYCLE[3];

void interrupt(){
 if (TMR2IF_bit == 1) {

 TBL_POINTER_NEW[0] = TBL_POINTER_OLD[0] + SET_FREQ;
 if (TBL_POINTER_NEW[0] < TBL_POINTER_OLD[0]){
 CCP1CON.P1M1 = ~CCP1CON.P1M1;
 }
 TBL_POINTER_SHIFT[0] = TBL_POINTER_NEW[0] >> 11;
 DUTY_CYCLE[0] = TBL_POINTER_SHIFT[0];
 CCPR1L = sin_table_A[DUTY_CYCLE[0]];
 TBL_POINTER_OLD[0] = TBL_POINTER_NEW[0];

 TBL_POINTER_NEW[1] = TBL_POINTER_OLD[1] + SET_FREQ;
 if (TBL_POINTER_NEW[1] < TBL_POINTER_OLD[1]){
 CCP2CON.P2M1 = ~CCP2CON.P2M1;
 }
 TBL_POINTER_SHIFT[1] = TBL_POINTER_NEW[1] >> 11;
 DUTY_CYCLE[1] = TBL_POINTER_SHIFT[1];
 CCPR2L = sin_table_B[DUTY_CYCLE[1]];
 TBL_POINTER_OLD[1] = TBL_POINTER_NEW[1];

 TBL_POINTER_NEW[2] = TBL_POINTER_OLD[2] + SET_FREQ;
 if (TBL_POINTER_NEW[2] < TBL_POINTER_OLD[2]){
 CCP3CON.P3M1 = ~CCP3CON.P3M1;
 }
 TBL_POINTER_SHIFT[2] = TBL_POINTER_NEW[2] >> 11;
 DUTY_CYCLE[2] = TBL_POINTER_SHIFT[2];
 CCPR3L = sin_table_C[DUTY_CYCLE[2]];
 TBL_POINTER_OLD[2] = TBL_POINTER_NEW[2];

 TMR2IF_bit = 0;
 }
}

void main() {

 Delay_ms(200);

 APFCON = 0x00;

 ADCON1 = 0b10100000;
 FVRCON = 0x00;

 ANSELA = 0x01;
 ANSELB = 0x00;

 CM1CON0 = 0x00;
 CM2CON0 = 0x00;

 TRISA = 0xC0;
 PORTA = 0xC0;
 PORTB = 0x00;
 PORTC = 0x00;

 LATA = 0x00;
 LATB = 0x00;
 LATC = 0x00;

 SET_FREQ = 410;

 for(i = 0; i < 3; i++) {
 TBL_POINTER_SHIFT[i] = 0;
 TBL_POINTER_NEW[i] = 0;
 TBL_POINTER_OLD[i] = 0;
 DUTY_CYCLE[i] = 0;
 }

 PR2 = 249;
#line 99 "C:/Users/user/Desktop/3SPWM/3 Phase SPWM/3 Phase SPWM.c"
 TMR2IF_bit = 0;
 T2CON = 4;


 APFCON = 0x00;
 CCPTMRS0=0X00;

 CCP1CON=0X0C;
 CCP2CON=0X0C;
 CCP3CON=0X0C;

 CCP1AS=0X0F;
 CCP2AS=0X0F;
 CCP3AS=0X0F;

 PSTR1CON=0XFF;
 PSTR2CON=0XFF;
 PSTR3CON=0XFF;

 PWM1CON=0X00;
 PWM2CON=0X00;
 PWM3CON=0X00;

 CM1CON0 = 7;
 CM2CON0 = 7;
 TRISB = 0x00;
 TRISC = 0x00;

 TMR2IE_bit = 1;
 PEIE_bit = 1;
 GIE_bit = 1;

 while(1) {

 }
}
